% ====================================================
% Matlab function for downloading image from K6300 
% Turret.
%
% Copyright (C) 2000-2001 by K-Team, S.A. All rights reserved.
%
% Developed at K-Team S.A by Skye Legon.
%
% Permission to use, copy, modify, and distribute this
% software is freely granted, provided that this notice
% is preserved.
%
% There is no warranty for this free software.  If the software is modified
% by someone else and passed on, we want its recipients to know that
% what they have is not the original, so that any problems introduced
% by others will not reflect on the original authors' reputations.
%
% ====================================================

function download=fun(ref)

clear snap;
disp('Cleared!')

%kcmd(ref, 'Q');
%kcmd(ref, 'Q');

for i=1:120
	line=kcmd(ref,sprintf('%s,%d\n','I',i-1));
	if line(1)~='i'
		error('uncorrect response from turret (check connections and baud rate)');
	end

	line(1,1)=' ';
	line(1,2)=' ';

	for j=3:size(line,2)-1
		if line(j)==','
			line(j)=' ';
		end
	end

	[temp,count]=sscanf(line,'%d');
	disp(sprintf('Line: %d  Pixels: %d',i,count))
	snap(i,:) = temp';
end

download = snap;
